﻿
image g_ui = "cards/ui.webp"

define me = Character("???")
define mayo = Character("Mayo")

label cards_story:
    # this will init the the deck
    $ cdeck.app([c_1, c_2, c_3, c_4, c_5, c_6, c_7, c_8, c_9, c_10, c_11, c_12, c_13, h_1, h_2, h_3, h_4, h_5, h_6, h_7, h_8, h_9, h_10, h_11, h_12, h_13, s_1, s_2, s_3, s_4, s_5, s_6, s_7, s_8, s_9, s_10, s_11, s_12, s_13, d_1, d_2, d_3, d_4, d_5, d_6, d_7, d_8, d_9, d_10, d_11, d_12, d_13])
    # your story should starts here
    scene black
    show bg clubs with dissolve
    show mayo angry
    mayo "Where did you find it?"
    me "In the jungle."
    mayo "This is bad. Very bad."
    me "What?"
    mayo "It means somebody is hunting."
    me "Hunting?"
    mayo "There will be chaos."
    show mayo huh
    me "Hey!" with vpunch
    me "Can you tell me what's going on?"
    show mayo awkward
    mayo "Sorry."
    show mayo normal
    mayo "Listen carefully."
    mayo "The card pack you've found is magical."
    mayo "It's called MagiPack."
    mayo "It allows you to challenge and battle magi for their soul points."
    me "Magic is real?"
    show mayo angry
    mayo "Listen!"
    show mayo normal
    mayo "When opponent runs out of soul points, they can be captured in a card."
    me "I can capture magical creatures?"
    mayo "More like witches and wizards."
    mayo "And you."
    me "Me?"
    mayo "Yes, you have a card pack now, you can be captured in a pack too."
    mayo "That paints a target on you back."
    me "I don't want to be captured."
    me "Here, take the cards."
    mayo "I can't."
    mayo "They're bound to you now."
    me "How can unbind them?"
    mayo "You can't."
    mayo "Put your hand on the deck."
    me "Alright."
    mayo "Now guess a number."
    me "What?"
    mayo "Close your eyes and say the first number that comes to your mind."
    me "Why?"
    show mayo angry
    mayo "Just do it."
    show mayo normal
    me "Alright."
    call screen guess_a_number
    $ c_3.cash = _return
    me "[c_3.cash]"
    mayo "You only have [c_3.cash] magic points."
    mayo "When You run out, you can be captured."
    me "Wait, I could've guess any number, like a million points."
    show mayo angry
    mayo "No you couldn't."
    show mayo normal
    me "Let me guess again!"
    call screen guess_a_number(_return)
    me "[c_3.cash]"
    me "What?!"
    call screen guess_a_number(_return)
    me "[c_3.cash]"
    me "Hey!"
    show mayo awkward
    mayo "Are you done?"
    me "What's going on?"
    show mayo normal
    mayo "You can feel the amount of points you have."
    mayo "You'll eventually get used to it and know it instinctively."
    me "Soo..."
    me "Is [c_3.cash] a lot?"
    mayo "It's pitiful. Lucky for you, you can decide how much of it you want to bet."
    mayo "And if you lose more than half of your points, you can call it quit."
    me "Bet?"
    me "Like in a casino?"
    mayo "Of course, where do you think those games came from?"
    me "Those games? Do you mean the battles are like poker and blackjack?"
    mayo "Yes."
    me "I see..."
    mayo "Do you know how to play any of them?"
    me "I know how to play blackjack."
    mayo "Great, say: I challenge you to blackjack."
    me "I challenge you to blackjack."
    show mayo normal at left with move
    show g_ui with dissolve
    call screen cards_game(c_1) # this is how you call an event with a card
    show mayo normal at center with move
    if _return == "won":
        me "Hey I won everything you had."
        mayo "oh no"
        mayo "Please be kind to me."
        jump captured_mayo
    elif _return == "lost":
        me "I've lost everything."
        me "What happens now?"
        mayo "I'm sorry!"
        mayo "I has to be done."
        me "What had to be done?"
        jump captured
    elif _return == "run":
        hide g_ui with dissolve
        me "I've lost enough for today."
        show mayo awkward
        mayo "Wise choice."

    elif _return == "ran":
        hide g_ui with dissolve
        show mayo awkward
        mayo "Wow, you're good."
        mayo "I've most a whole lot."
    show mayo normal
    mayo "You should be fine for now."
    mayo "Just lay low and try to not get captured."
    me "Question, what's the point to this capturing?"
    mayo "Errrmmm..."
    mayo "Power..."
    me "Power?"
    mayo "The more magi you capture, the more magical power you'll have."
    me "Hmmm.."
    show mayo angry
    mayo "Don't even think about it!"
    mayo "You're playing with fire there."
    "..."
    mayo "Did you hear me?"
    menu:
        "I challenge you to blackjack.":
            me "I challenge you to blackjack."
            show mayo normal at left with move
            show g_ui with dissolve
            call screen cards_game(c_1)
        "You're right.":
            me "You're right."

    "The demo ends here."
    return

label captured:
    show image "#fff" with dissolve
    me "Where am I?"
    "..."
    "The demo ends here."
    return
label captured_mayo:
    show image "#fff" with dissolve
    me "WHat did just happened?"
    "..."
    "The demo ends here."
    return

screen guess_a_number(re = None):
    default number = 10
    timer .1 repeat True action SetScreenVariable("number", renpy.random.randint(10, 50))
    button:
        background "#000a" padding 20,20 align .5,.5
        text str(number)
        if re:
            action Return(re)
        else:
            action Return(number)